Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class LogFileFormatter

    java.lang.Object
      java.util.logging.Formatter
          weblogic.logging.ConsoleFormatter
              weblogic.logging.LogFileFormatter

    public final class LogFileFormatter

extends ConsoleFormatter

Formats log messages to be written to the server log file. The server side log files include fields in addition to the client log files, like machine name, server name, user and transactions id.

Field Summary
`static String` | `BEGIN_MARKER`

Fields inherited from class weblogic.logging.ConsoleFormatter
`FIELD_PREFIX, FIELD_SUFFIX`

Constructor Summary
`LogFileFormatter()` Default constructor.
`LogFileFormatter(weblogic.management.configuration.LogFileMBean logFileMBean)`

Method Summary
`String` | `format(LogRecord rec)` Formats a log record for publishing to the server or domain log files.
`String` | `toString(LogEntry logEntry)` Formats a log entry object to a string representation.

Methods inherited from class weblogic.logging.ConsoleFormatter
`appendBuf, appendToBuffer, appendToBufferEscaped, formatDate, formatDateObject`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_MARKER

    public static final String BEGIN_MARKER

See Also:
  Constant Field Values

Constructor Detail

### LogFileFormatter

    public LogFileFormatter()

  Default constructor. Initializes the dateformat to be used for date and time logging. The default date format is DateFormat.MEDIUM and for time it is DateFormat.FULL based on the default Locale.

### LogFileFormatter

    public LogFileFormatter(weblogic.management.configuration.LogFileMBean logFileMBean)

Method Detail

### format

    public String format(LogRecord rec)

  Formats a log record for publishing to the server or domain log files.

  Overrides:
    `format` in class `ConsoleFormatter`
  Parameters:
    `rec` - The log record to be formatted.
  Returns:
    The formatted string representation of the log record.

### toString

    public String toString(LogEntry logEntry)

  Formats a log entry object to a string representation.

  Overrides:
    `toString` in class `ConsoleFormatter`
  Parameters:
    `logEntry` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD